Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 526979 - phpmyadmin should requires php-mcrypt ?
Summary: phpmyadmin should requires php-mcrypt ?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: phpMyAdmin
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-02 20:08 UTC by Itamar Reis Peixoto
Modified: 2010-01-21 23:32 UTC (History)
1 user (show)

Fixed In Version: 2.11.9.6-3.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-13 22:02:08 UTC
Type: ---


Attachments (Terms of Use)
phpmyadmin warning about php-mcrypt (22.51 KB, image/png)
2009-10-02 20:08 UTC, Itamar Reis Peixoto
no flags Details

Description Itamar Reis Peixoto 2009-10-02 20:08:16 UTC
Description of problem:
phpmyadmin should requires php-mcrypt ?


look screenshoot

Cannot load mcrypt extension. Please check your PHP configuration.

Comment 1 Itamar Reis Peixoto 2009-10-02 20:08:48 UTC
Created attachment 363524 [details]
phpmyadmin warning about php-mcrypt

phpmyadmin warning about php-mcrypt

Comment 2 Robert Scheck 2009-10-03 12:19:56 UTC
From the PHP documentation: http://www.phpmyadmin.net/documentation/

"When using the "cookie" authentication method, the mcrypt extension is
strongly suggested for most users and is required for 64–bit machines. Not
using mcrypt will cause phpMyAdmin to load pages significantly slower."

BUT: On the other hand, we don't ship "cookie" authentication method per
default, we ship "HTTP" authentication enabled. As rpm.org doesn't support
soft dependencies, I don't see a good reason to bother users with another
dependency package not always needed or even required.

Comment 3 Robert Scheck 2009-10-13 22:02:08 UTC
Package: phpMyAdmin-3.2.2.1-1.fc10 Tag: dist-f10-updates-candidate Status: complete Built by: robert
Package: phpMyAdmin-3.2.2.1-1.fc11 Tag: dist-f11-updates-candidate Status: complete Built by: robert
Package: phpMyAdmin-3.2.2.1-1.fc12 Tag: dist-f12-updates-candidate Status: complete Built by: robert
Package: phpMyAdmin-3.2.2.1-1.fc13 Tag: dist-f13 Status: complete Built by: robert

Comment 4 Fedora Update System 2009-10-13 22:04:17 UTC
phpMyAdmin-3.2.2.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/phpMyAdmin-3.2.2.1-1.fc11

Comment 5 Fedora Update System 2009-10-15 22:33:19 UTC
phpMyAdmin-3.2.2.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-10-15 22:38:29 UTC
phpMyAdmin-3.2.2.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-01-21 23:31:25 UTC
phpMyAdmin-2.11.9.6-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-01-21 23:32:11 UTC
phpMyAdmin-2.11.9.6-3.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.